package com.javacodegeeks.topology;

import com.javacodegeeks.bolt.ElasticSearchBolt;
import com.javacodegeeks.spout.FlightDataReaderSpout;
import org.apache.storm.generated.StormTopology;
import org.apache.storm.topology.TopologyBuilder;

/**
 * Builds a topology. The topology consists of {@code FlightDataReaderSpout} and {@code ElasticSearchBolt}.
 */
public final class FlightPlanIndexingTopologyBuilder {

    private FlightPlanIndexingTopologyBuilder() {}

    public static StormTopology build() {
        TopologyBuilder builder = new TopologyBuilder();
        builder.setSpout("spout", new FlightDataReaderSpout());
        builder.setBolt("indexBolt", new ElasticSearchBolt()).shuffleGrouping("spout");
        return builder.createTopology();
    }
}
